Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class AdHocSubProcessHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler
                  org.jbpm.bpmn2.xml.CompositeContextNodeHandler
                      org.jbpm.bpmn2.xml.AdHocSubProcessHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class AdHocSubProcessHandler

extends CompositeContextNodeHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`AdHocSubProcessHandler()`

Method Summary
`protected Node` | `createNode(Attributes attrs)`
`Class` | `generateNodeFor()`
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

Methods inherited from class org.jbpm.bpmn2.xml.CompositeContextNodeHandler
`getSubNodes`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler
`getSubConnections, visitConnectionsAndAssociations`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### AdHocSubProcessHandler

    public AdHocSubProcessHandler()

Method Detail

### createNode

    protected Node createNode(Attributes attrs)

  Overrides:
    `createNode` in class `CompositeContextNodeHandler`

### generateNodeFor

    public Class generateNodeFor()

  Specified by:
    `generateNodeFor` in interface `org.drools.core.xml.Handler`
  Overrides:
    `generateNodeFor` in class `CompositeContextNodeHandler`

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Overrides:
    `handleNode` in class `AbstractNodeHandler`
  Throws:
    `SAXException`

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          int metaDataType)

  Overrides:
    `writeNode` in class `CompositeContextNodeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.